/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.MotivoReimpresionDAO;
import com.rjconsultores.ventaboletos.entidad.MotivoReimpresion;
import com.rjconsultores.ventaboletos.service.MotivoReimpresionService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Rafius
 */
@Service("motivoReimpresionService")
public class MotivoReimpresionServiceImpl implements MotivoReimpresionService {

    @Autowired
    private MotivoReimpresionDAO motivoReimpresionDAO;

    public List<MotivoReimpresion> obtenerTodos() {
        return motivoReimpresionDAO.obtenerTodos();
    }

    public MotivoReimpresion obtenerID(Integer id) {
        return motivoReimpresionDAO.obtenerID(id);
    }

    @Transactional
    public MotivoReimpresion suscribir(MotivoReimpresion entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return motivoReimpresionDAO.suscribir(entidad);
    }

    @Transactional
    public MotivoReimpresion actualizacion(MotivoReimpresion entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return motivoReimpresionDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(MotivoReimpresion entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        motivoReimpresionDAO.actualizacion(entidad);
    }

    public List<MotivoReimpresion> buscar(String descmotivo) {
        return motivoReimpresionDAO.buscar(descmotivo);
    }
}
